View Issue Details

IDProjectCategoryView StatusLast Update
0002890unrealircdpublic2006-11-04 18:25
ReporterZellAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSWin32OS VersionXP
Product Version3.2.4 
Target VersionFixed in Version3.2.6 
Summary0002890: [warnings] Warnings on compile - POSIX Deprecation
DescriptionSRC/MODULES/M_SVSNLINE.C(144) : warning C4996: 'strdup' was declared deprecated
        C:\Program files\microsoft visual studio 8\vc\include\string.h(205) : se
e declaration of 'strdup'
        Message: 'The POSIX name for this item is deprecated. Instead, use the I
SO C++ conformant name: _strdup. See online help for details.'
TagsNo tags attached.
3rd party modules

Relationships

related to 0002875 resolvedsyzop VStudio 2005: Crashes on link to any server, stats, or services 
child of 0002936 resolvedsyzop 3.2.6 Release 

Activities

Zell

2006-04-20 17:19

reporter   ~0011590

Might as well set this related to 2875

Here's the fix:

Right next to the "/D _CRT_SECURE_NO_DEPRECATE" in the makefile.win32
add this:

/D _CRT_NONSTDC_NO_DEPRECATE

And that'll kill the warnings.
You'll need to put that in the spot for Module CFLAGS as well, or it'll warn you for modules using the "Deprecated" items.
[resolved]

syzop

2006-04-20 18:20

administrator   ~0011592

ack

syzop

2006-11-04 18:25

administrator   ~0012590

Fixed in 32* and 33*:

- Win32: Fixed a few compiler warnings, suggested by Zell (0002890).

Issue History

Date Modified Username Field Change
2006-04-20 17:16 Zell New Issue
2006-04-20 17:19 Zell Note Added: 0011590
2006-04-20 18:20 syzop Note Added: 0011592
2006-04-20 18:20 syzop Status new => acknowledged
2006-04-20 18:20 syzop Relationship added related to 0002875
2006-05-31 07:25 syzop Relationship added child of 0002936
2006-11-04 18:25 syzop Status acknowledged => resolved
2006-11-04 18:25 syzop Fixed in Version => 3.2.6
2006-11-04 18:25 syzop Resolution open => fixed
2006-11-04 18:25 syzop Assigned To => syzop
2006-11-04 18:25 syzop Note Added: 0012590